geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Jencks <david_jen...@yahoo.com>
Subject Re: Unable to build...
Date Mon, 05 Sep 2005 19:35:53 GMT
This is usually caused by having an old 
xmlbeans-maven-plugin-2.0.0-beta1 from geronimo installed in your 
.maven/cache and $MAVEN_HOME/plugins directories.  Unfortunately I 
didnt' realize that groupId is ignored in comparing plugin versions 
when I suggested the version number for the xmlbeans version of this 
plugin.  I think if you delete the .maven/cache contents and remove the 
  xmlbeans-maven-plugin-2.0.0-beta1.jar from $MAVEN_HOME/plugins you 
will be able to download the correct version and build.

thanks
david jencks

On Sep 5, 2005, at 12:27 PM, Neal Sanche wrote:

> Hi All,
>
> I've been trying to get the latest SVN Geronimo to build but it ends 
> up with:
>
> +----------------------------------------
> | Executing default Geronimo :: J2EE Schema
> | Memory: 16M/22M
> +----------------------------------------
>
> BUILD FAILED
> File...... C:\Documents and 
> Settings\Neal\.maven\cache\maven-multiproject-plugin
> -1.3.1\plugin.jelly
> Element... maven:reactor
> Line...... 217
> Column.... 9
> Unable to obtain goal [default] -- C:\Documents and 
> Settings\Neal\.maven\cache\x
> mlbeans-maven-plugin-2.0.0-beta1\plugin.jelly:24:23: <fail> Missing 
> required att
> ribute: targetdir
> Total time: 1 minutes 1 seconds
> Finished at: Mon Sep 05 13:25:44 MDT 2005
>
> I've tried most things that I can think of, including removing my 
> maven repository to build from complete scratch. Still doesn't work. 
> I'm going to try a fresh SVN checkout now...
>
> -Neal
>


Mime
View raw message